{
    By: Kwabena W. Agyeman - 9/27/2013
}

CON

    _clkfreq = 80_000_000
    _clkmode = xtal1 + pll16x

    rx = 31
    tx = 30

    lPin = 26
    rPin = 27

    doPin = 22
    clkPin = 23
    diPin = 24
    csPin = 25

    wpPin = -1
    cdPin = -1

OBJ

    ser: "FullDuplexSerial.spin"

    wav1: "V2-WAV_DACEngine.spin"
    
VAR

VAR long spinPlayer1Stack[100]

PUB main

    ser.Start(rx, tx, 0, 115200)

    waitcnt((clkfreq * 5) + cnt)

    ser.str(string(27))     'Set command mode ANSI command for putty terminal program.                                                    
    ser.str(string("[2J"))  'Clear telnet screen.
                           
    ser.str(string(27))      'Set command mode 
    ser.str(string("[1;1f")) 'Set Position  
    
    if(wav1.begin(lPin, rPin, doPin, clkPin, diPin, csPin, wpPin, cdPin))
        ser.Str(string("Start: Success", 10, 13))

    else
        ser.Str(string("Start: Failure", 10, 13))


wav1.setLeftVolume(2)
wav1.setLeftVolume(2)


cognew(Chuff, @spinPlayer1Stack) ' Startup separate process.

repeat   'keep main cog running



PUB Chuff
  repeat
        ser.str(string(27))      'Set command mode 
        ser.str(string("[3;3f")) 'Set Position
        ser.Str(string("/ Chuff "))
        ser.str(string(27))      'Set command mode 
        ser.str(string("[1;1f")) 'Set Position
        
        result := \wav1.play(string("chuff1.wav"))
        
        ser.str(string(27))      'Set command mode 
        ser.str(string("[3;3f")) 'Set Position
        ser.Str(string("-  Chuff"))
        ser.str(string(27))      'Set command mode 
        ser.str(string("[1;1f")) 'Set Position
        
        result := \wav1.play(string("chuff2.wav"))
        
        ser.str(string(27))      'Set command mode 
        ser.str(string("[3;3f")) 'Set Position
        ser.Str(string("\ Chuff "))
        ser.str(string(27))      'Set command mode 
        ser.str(string("[1;1f")) 'Set Position
        
        result := \wav1.play(string("chuff3.wav"))
        
        ser.str(string(27))      'Set command mode 
        ser.str(string("[3;3f")) 'Set Position
        ser.Str(string("|  Chuff"))
        ser.str(string(27))      'Set command mode 
        ser.str(string("[1;1f")) 'Set Position
        
        result := \wav1.play(string("chuff4.wav"))        
        
        if(wav1.playErrorNum)
            ser.Str(string("WAV Error: "))
            ser.Str(result)
            ser.Tx(10)
            ser.Tx(13)
            repeat

DAT
{{
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                  TERMS OF USE: MIT License
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
// Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}}